Results 1 to 6 of 6

Thread: How to make Caffeine work ?

  1. #1

    Default How to make Caffeine work ?

    I installed Caffeine application then I discovered it requires to manually install python-xdg which I then installed but still Caffeine doesn't work properly. It runs but I can't use the popup menu to change settings or close it.

    When I launch it from the terminal I get this message:
    /usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py:46: RuntimeWarning: You have imported the Gtk 2.0 module. Because Gtk 2.0 was not designed for use with introspection some of the interfaces and API will fail. As such this is not supported by the pygobject development team and we encourage you to port your app to Gtk 3 or greater. PyGTK is the recomended python module to use with Gtk 2.0
    warnings.warn(warn_msg, RuntimeWarning)
    ERROR:root:Could not find any typelib for AppIndicator3
    I tried to uninstall Caffeine using "zypper remove -u caffeine" and reinstalled python-xdg before installing caffeine again but the problem persists.

    I also have an opensuse 12.3 on virtualbox and there Caffeine works fine. The thing is there I had preinstalled GNOME desktop and other packages and python-xdg had also been installed prior to installing caffeine.

    Does anyone know what is the problem, is that a dependency problem or a botched installation that needs fixing ?

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    24,869

    Default Re: How to make Caffeine work ?

    Quote Originally Posted by zelhar View Post
    I also have an opensuse 12.3 on virtualbox and there Caffeine works fine.
    But you did not tell what the openSUSE version is on the box where you have the problem.
    Henk van Velden

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,517
    Blog Entries
    15

    Default Re: How to make Caffeine work ?

    On Mon 17 Jun 2013 05:06:01 PM CDT, zelhar wrote:


    I installed Caffeine application then I discovered it requires to
    manually install python-xdg which I then installed but still Caffeine
    doesn't work properly. It runs but I can't use the popup menu to change
    settings or close it.

    When I launch it from the terminal I get this message:
    > /usr/lib64/python2.7/site-packages/gi/overrides/Gtk.py:46:
    > RuntimeWarning: You have imported the Gtk 2.0 module. Because Gtk 2.0
    > was not designed for use with introspection some of the interfaces and
    > API will fail. As such this is not supported by the pygobject
    > development team and we encourage you to port your app to Gtk 3 or
    > greater. PyGTK is the recomended python module to use with Gtk 2.0
    > warnings.warn(warn_msg, RuntimeWarning)
    > ERROR:root:Could not find any typelib for AppIndicator3
    >


    I tried to uninstall Caffeine using "zypper remove -u caffeine" and
    reinstalled python-xdg before installing caffeine again but the problem
    persists.

    I also have an opensuse 12.3 on virtualbox and there Caffeine works
    fine. The thing is there I had preinstalled GNOME desktop and other
    packages and python-xdg had also been installed prior to installing
    caffeine.

    Does anyone know what is the problem, is that a dependency problem or a
    botched installation that needs fixing ?


    Hi
    Is typelib-1_0-Gtk-2_0 and python-gobject installed, the AppIndicator3
    error can be ignored.

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 12.3 (x86_64) Kernel 3.7.10-1.11-desktop
    up 13:09, 3 users, load average: 0.06, 0.06, 0.05
    CPU AMD Athlon(tm) II P360@2.30GHz | GPU Mobility Radeon HD 4200


  4. #4

    Default Re: How to make Caffeine work ?

    Quote Originally Posted by hcvv View Post
    But you did not tell what the openSUSE version is on the box where you have the problem.
    It is also 12.3

  5. #5

    Default Re: How to make Caffeine work ?

    Hello,

    Yes, both packages are installed.

    Quote Originally Posted by malcolmlewis View Post
    Hi
    Is typelib-1_0-Gtk-2_0 and python-gobject installed, the AppIndicator3
    error can be ignored.

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    openSUSE 12.3 (x86_64) Kernel 3.7.10-1.11-desktop
    up 13:09, 3 users, load average: 0.06, 0.06, 0.05
    CPU AMD Athlon(tm) II P360@2.30GHz | GPU Mobility Radeon HD 4200

  6. #6

    Default Re: How to make Caffeine work ?

    OK I I have found the missing piece, you basically zeroed in on it malcolmlewis. I needed to install typelib-1_0-Gtk-3_0 .


    ​Thanks guys.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •